Skip to main content
POST
Estimate offboard fee

Authorizations

Authorization
string
header
required

Base64url-encoded auth token

Body

application/json

Request body for estimating the fee of offboarding a specific set of VTXOs.

address
string
required

The destination Bitcoin address. The fee depends on its script type.

vtxos
string[]
required

The IDs of the VTXOs to offboard. Each is offboarded in full.

Response

Returns the fee estimate

A fee estimate for an Ark wallet operation.

fee_sat
integer<int64>
required

The fee portion (in satoshis)

Required range: x >= 0
gross_amount_sat
integer<int64>
required

The total amount including fees (in satoshis)

Required range: x >= 0
net_amount_sat
integer<int64>
required

The amount excluding fees (in satoshis). For sends, this is the amount the recipient receives. For receives, this is the amount the user gets.

Required range: x >= 0
vtxos_spent
string[]
required

The VTXOs that would be spent for this operation